import { apiUserLogin } from '@/api/common/login'
import { message } from 'ant-design-vue'
import { reactive, ref } from 'vue'
import { useRouter } from 'vue-router'
import { useUserStore } from '@/stores/modules/user'

interface FormState {
  username: string
  password: string
  remember: boolean
}

export function useLoginPage() {
  const loading = ref(false)
  const loginFormState = reactive<FormState>({
    username: 'test9',
    password: '0000',
    remember: false
  })
  const userStore = useUserStore()

  const handleLogin = async () => {
    loading.value = true
    try {
      await userStore.login(loginFormState)
      loading.value = false
    } catch {
      loading.value = false
    }
  }

  return {
    loginFormState,
    loading,
    handleLogin
  }
}
